# Get Warehouse Receiving Order (DEPRECATED) GET https://api.shipbob.com/1.0/receiving/{id} This endpoint is deprecated. Please use /2.0/receiving/{id} Reference: https://developer.shipbob.com/v1.0/api/receiving/get-warehouse-receiving-order-deprecated ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: | Get Warehouse Receiving Order (DEPRECATED) version: endpoint_receiving.getWarehouseReceivingOrderDeprecated paths: /1.0/receiving/{id}: get: operationId: get-warehouse-receiving-order-deprecated summary: | Get Warehouse Receiving Order (DEPRECATED) description: | This endpoint is deprecated. Please use /2.0/receiving/{id} tags: - - subpackage_receiving parameters: - name: id in: path description: Id of the receiving order required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Receiving.ReceivingOrderViewModel' '401': description: Authorization missing or invalid content: {} '403': description: The provided credentials are not authorized to access this resource content: {} '404': description: Not Found content: {} components: schemas: Receiving.PackingType: type: string enum: - value: EverythingInOneBox - value: OneSkuPerBox - value: MultipleSkuPerBox Receiving.BoxItemViewModel: type: object properties: inventory_id: type: integer description: Unique identifier of the inventory item lot_date: type: - string - 'null' format: date-time description: Expiration date of the item's lot lot_number: type: - string - 'null' description: Lot number the item belongs to quantity: type: integer description: Quantity of the item included received_quantity: type: integer description: >- Quantity of the item that was received after processing the receiving order Receiving.BoxStatus: type: string enum: - value: Awaiting - value: Arrived - value: Completed - value: Counting - value: Stowing - value: Cancelled Receiving.BoxViewModel: type: object properties: arrived_date: type: - string - 'null' format: date-time description: Date the box arrived box_id: type: integer box_items: type: - array - 'null' items: $ref: '#/components/schemas/Receiving.BoxItemViewModel' description: Information about the items included in the box box_number: type: integer description: The number of the box in the receiving order box_status: $ref: '#/components/schemas/Receiving.BoxStatus' counting_started_date: type: - string - 'null' format: date-time description: Date counting of the box's inventory items started received_date: type: - string - 'null' format: date-time description: Date the box was received tracking_number: type: - string - 'null' description: Tracking number of the box shipment Receiving.FulfillmentCenterViewModel: type: object properties: address1: type: - string - 'null' description: Address line one of the fulfillment center address2: type: - string - 'null' description: Address line two of the fulfillment center city: type: - string - 'null' description: City the fulfillment center is located in country: type: - string - 'null' description: Country the fulfillment center is located in email: type: - string - 'null' description: Email contact for the fulfillment center id: type: integer description: Unique identifier of the fulfillment center name: type: - string - 'null' description: Name of the fulfillment center phone_number: type: - string - 'null' description: Phone number contact for the fulfillment center state: type: - string - 'null' description: State the fulfillment center is located in timezone: type: - string - 'null' description: Timezone the fulfillment center is located in zip_code: type: - string - 'null' description: Postal code of the fulfillment center Receiving.PackageType: type: string enum: - value: Package - value: Pallet - value: FloorLoadedContainer Receiving.ReceivingStatus: type: string enum: - value: Awaiting - value: Processing - value: Completed - value: Cancelled - value: Incomplete - value: Arrived - value: PartiallyArrived - value: PartiallyArrivedAtHub - value: ArrivedAtHub - value: ProcessingAtHub - value: InternalTransfer Receiving.ReceivingOrderViewModel: type: object properties: box_labels_uri: type: - string - 'null' description: >- URL to the packing slip to be included in each box shipment for this receiving order box_packaging_type: $ref: '#/components/schemas/Receiving.PackingType' boxes: type: - array - 'null' items: $ref: '#/components/schemas/Receiving.BoxViewModel' description: Information about the boxes being shipped in this receiving order expected_arrival_date: type: string format: date-time description: Expected date that all packages will have arrived fulfillment_center: $ref: '#/components/schemas/Receiving.FulfillmentCenterViewModel' id: type: integer description: Unique id of the warehouse receiving order insert_date: type: string format: date-time description: Insert date of the receiving order last_updated_date: type: string format: date-time description: Last date the receiving order was updated package_type: $ref: '#/components/schemas/Receiving.PackageType' purchase_order_number: type: - string - 'null' description: Purchase order number for a receiving order status: $ref: '#/components/schemas/Receiving.ReceivingStatus' ``` ## SDK Code Examples ```python Receiving_getWarehouseReceivingOrderDeprecated_example import requests url = "https://api.shipbob.com/1.0/receiving/id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Receiving_getWarehouseReceivingOrderDeprecated_example const url = 'https://api.shipbob.com/1.0/receiving/id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Receiving_getWarehouseReceivingOrderDeprecated_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/1.0/receiving/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Receiving_getWarehouseReceivingOrderDeprecated_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/1.0/receiving/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Receiving_getWarehouseReceivingOrderDeprecated_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/1.0/receiving/id") .header("Authorization", "Bearer ") .asString(); ``` ```php Receiving_getWarehouseReceivingOrderDeprecated_example request('GET', 'https://api.shipbob.com/1.0/receiving/id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Receiving_getWarehouseReceivingOrderDeprecated_example using RestSharp; var client = new RestClient("https://api.shipbob.com/1.0/receiving/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Receiving_getWarehouseReceivingOrderDeprecated_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/receiving/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```